Update a connector individual config
Authorization
oAuth2AuthCode In: header
Path Parameters
uuidMajor version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
^main|latest|\d+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/individual-configs" \ -H "Content-Type: application/json" \ -d '{ "command-option": "host", "field-type": "checkbox", "field-name": "HostUrl", "field-required": false, "field-placeholder": "Place host url", "field-description": "A full url to host. Text should be longer than 255 characters. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis vestibulum dolor ac orci finibus scelerisque. Duis tempus ligula eu velit fringilla cursus. Sed ultrices velit sit amet euismod suscipit.", "field-default-value": "1", "field-config": "" }'{
"message": "Individual configuration updated."
}{
"message": "Bad request.",
"errors": {
"command-option": "This value should not be blank.",
"field-type": "This value should not be blank.",
"field-name": "This value should not be blank."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Connector not found."
}How is this guide?